      } // case
    }
    else
    if ((opcode == 0) || Mnumberp(opcode) || Mboolp(opcode)) {
      MpushOld(opcode);
      MNextInstruction();
    }
    else {
      printf("bad opcode - ");
      temp = writeout(opcode);
      temp = newline_();
      cleanup_();
    }
  } // while

  return; // should never reach here
}
